
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>css_033_tab</title>
<style type="text/css">
* {
	margin: 0;
	padding: 0;
	border-width: 0
}

body {
	font-family: "Times New Roman", serif
}

#main_aside {
	width: 200px;
	float: right;
}

#main_aside .tab_item li {
	list-style-type: none;
}

#main_aside .tab_item .item {
	border: 1px solid black;
	padding: 10px;
	border-top: none;
	overflow: hidden;
}

#main_aside .tab_item .thumbnail {
	float: left;
}

#main_aside .tab_item .description {
	float: left;
	margin-left: 10px;
}

#main_aside .tab_item .description>strong {
	display: block;
	width: 120px;
	white-space: nowrap;
	overflow: hidden;
}

#main_aside div.buttons>label {
	display: block;
	width: 98px;
	height: 30px;
	border: 1px solid black;
	float: left;
	text-align: center;
	line-height: 30px;
	color: white;
	background-color: black;
}

#main_aside input:nth-of-type(1):checked ~ div.buttons>label:nth-of-type(1) {
	background-color: yellow;
	color: black;
}

#main_aside input:nth-of-type(2):checked ~ div.buttons>label:nth-of-type(2) {
	background-color: yellow;
	color: black;
}

#main_aside input {
	display: none;
}

#main_aside input:nth-of-type(1):checked ~ div.tab_item:nth-of-type(3) {
	display: none;
}

#main_aside input:nth-of-type(2):checked ~ div.tab_item:nth-of-type(2) {
	display: none;
}


</style>
</head>
<body>
	<div id="main_aside">
		<input id="first" type="radio" name="tab" checked="checked" /> 
		<input	id="second" type="radio" name="tab" />

		<div class="buttons">
			<label for="first">First</label> 
			<label for="second">Second</label>
		</div>

		<div class="tab_item">
			<ul>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>HTML5 Canvas</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>HTML5 Audio</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>HTML5 Video</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>HTML5 Semantic Web</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
			</ul>
		</div>
		<!-- ------------------------------------------ -->
		<div class="tab_item">
			<ul>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>CSS3 Transition</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>CSS3 Animation</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>CSS3 Border</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
				<li class="item"><a href="#">
						<div class="thumbnail">
							<img src="http://placehold.it/45x45" />
						</div>
						<div class="description">
							<strong>CSS3 Box</strong>
							<p>2012-03-15</p>
						</div>
				</a></li>
			</ul>
		</div>
	</div>
</body>
</html>